jQuery(document).ready(function() {


    // Load Subcategories
    jQuery(".categoryMain").live('click', function(event) {
        event.preventDefault();
        loadContent('mid', jQuery(this), "categoryMain", 'categorySubContainer', 'categorySubNav');
    });
    // Load list of items
    jQuery(".categorySub").live('click', function(event) {
        event.preventDefault();
        loadContent('sid', jQuery(this), 'categorySub', 'itemListContainer', 'itemList');
    });
    // Load item details
    jQuery(".singleItem").live('click', function(event) {
        event.preventDefault();
        loadContent('iid', jQuery(this), 'singleItem', 'itemDetailsContainer', 'itemDetails');
    });


    function loadContent(id, jQueryThis, className, containerID, frameID) {
        if(!jQueryThis.hasClass('active')) {
            jQuery.ajax({
                url: "includes/xinc_shop.php?" + id + "=" + jQueryThis.attr("uid"),
                type: "GET",
                success: function(data){updateContent(data, containerID, frameID);}
            });
        }

        jQuery("." + className).removeClass("active");
        jQueryThis.addClass("active");
    }
    function updateContent(data, containerID, frameID) {
        // Onclick: Main category
        if(containerID == 'categorySubContainer') {
            jQuery('#itemList').slideUp();
            jQuery('#itemDetails').slideUp();
        }
        // Onclick: Sub category
        if(containerID == 'itemListContainer') {
            jQuery('#itemDetails').slideUp();
        }

        if(jQuery('#' + frameID).is(':hidden')) {
            jQuery('#' + containerID).empty().append(data);
            jQuery('#' + frameID).slideDown();
        }
        else {
            jQuery('#' + containerID).fadeOut(500, function() {
                jQuery('#' + containerID).empty().append(data).fadeIn(500);
            });
        }
    }


});